Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.model.impl
Class VCategorizationPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecp.view.spi.categorization.model.impl.VCategorizationPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, VCategorizationPackage

    public class VCategorizationPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements VCategorizationPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VCategorizationPackage
`VCategorizationPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VCategorizationPackage
`ABSTRACT_CATEGORIZATION, ABSTRACT_CATEGORIZATION__ACTIONS, ABSTRACT_CATEGORIZATION__ATTACHMENTS, ABSTRACT_CATEGORIZATION__DIAGNOSTIC, ABSTRACT_CATEGORIZATION__ENABLED, ABSTRACT_CATEGORIZATION__LABEL_OBJECT, ABSTRACT_CATEGORIZATION__NAME, ABSTRACT_CATEGORIZATION__READONLY, ABSTRACT_CATEGORIZATION__VISIBLE, ABSTRACT_CATEGORIZATION_FEATURE_COUNT, ACTION, ACTION__BUNDLE, ACTION__CLASS_NAME, ACTION_FEATURE_COUNT, CATEGORIZABLE_ELEMENT, CATEGORIZABLE_ELEMENT__ATTACHMENTS, CATEGORIZABLE_ELEMENT__DIAGNOSTIC, CATEGORIZABLE_ELEMENT__ENABLED, CATEGORIZABLE_ELEMENT__LABEL_OBJECT, CATEGORIZABLE_ELEMENT__NAME, CATEGORIZABLE_ELEMENT__READONLY, CATEGORIZABLE_ELEMENT__VISIBLE, CATEGORIZABLE_ELEMENT_FEATURE_COUNT, CATEGORIZATION, CATEGORIZATION__ACTIONS, CATEGORIZATION__ATTACHMENTS, CATEGORIZATION__CATEGORIZATIONS, CATEGORIZATION__DIAGNOSTIC, CATEGORIZATION__ENABLED, CATEGORIZATION__LABEL_OBJECT, CATEGORIZATION__NAME, CATEGORIZATION__READONLY, CATEGORIZATION__VISIBLE, CATEGORIZATION_ELEMENT, CATEGORIZATION_ELEMENT__ATTACHMENTS, CATEGORIZATION_ELEMENT__CATEGORIZATIONS, CATEGORIZATION_ELEMENT__CURRENT_SELECTION, CATEGORIZATION_ELEMENT__DIAGNOSTIC, CATEGORIZATION_ELEMENT__ENABLED, CATEGORIZATION_ELEMENT__MAIN_CATEGORY_DEPTH, CATEGORIZATION_ELEMENT__NAME, CATEGORIZATION_ELEMENT__READONLY, CATEGORIZATION_ELEMENT__VISIBLE, CATEGORIZATION_ELEMENT_FEATURE_COUNT, CATEGORIZATION_FEATURE_COUNT, CATEGORY, CATEGORY__ACTIONS, CATEGORY__ATTACHMENTS, CATEGORY__COMPOSITE, CATEGORY__DIAGNOSTIC, CATEGORY__ENABLED, CATEGORY__LABEL_OBJECT, CATEGORY__NAME, CATEGORY__READONLY, CATEGORY__VISIBLE, CATEGORY_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getAbstractCategorization_Actions()`
`org.eclipse.emf.ecore.EClass` | `getAbstractCategorization()`
`org.eclipse.emf.ecore.EAttribute` | `getAction_Bundle()`
`org.eclipse.emf.ecore.EAttribute` | `getAction_ClassName()`
`org.eclipse.emf.ecore.EClass` | `getAction()`
`org.eclipse.emf.ecore.EReference` | `getCategorizableElement_LabelObject()`
`org.eclipse.emf.ecore.EClass` | `getCategorizableElement()`
`org.eclipse.emf.ecore.EReference` | `getCategorization_Categorizations()`
`org.eclipse.emf.ecore.EClass` | `getCategorization()`
`org.eclipse.emf.ecore.EReference` | `getCategorizationElement_Categorizations()`
`org.eclipse.emf.ecore.EReference` | `getCategorizationElement_CurrentSelection()`
`org.eclipse.emf.ecore.EAttribute` | `getCategorizationElement_MainCategoryDepth()`
`org.eclipse.emf.ecore.EClass` | `getCategorizationElement()`
`VCategorizationFactory` | `getCategorizationFactory()`
`org.eclipse.emf.ecore.EReference` | `getCategory_Composite()`
`org.eclipse.emf.ecore.EClass` | `getCategory()`
`static VCategorizationPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static VCategorizationPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `VCategorizationPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `VCategorizationPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAbstractCategorization

    public org.eclipse.emf.ecore.EClass getAbstractCategorization()

  Specified by:
    `getAbstractCategorization` in interface `VCategorizationPackage`
  Returns:
    the meta object for class 'Abstract Categorization'.
  See Also:
    `VAbstractCategorization`

### getAbstractCategorization_Actions

    public org.eclipse.emf.ecore.EReference getAbstractCategorization_Actions()

  Specified by:
    `getAbstractCategorization_Actions` in interface `VCategorizationPackage`
  Returns:
    the meta object for the containment reference list 'Actions'.
  See Also:
    `VAbstractCategorization.getActions()`, `VCategorizationPackage.getAbstractCategorization()`

### getCategorization

    public org.eclipse.emf.ecore.EClass getCategorization()

  Specified by:
    `getCategorization` in interface `VCategorizationPackage`
  Returns:
    the meta object for class 'Categorization'.
  See Also:
    `VCategorization`

### getCategorization_Categorizations

    public org.eclipse.emf.ecore.EReference getCategorization_Categorizations()

  Specified by:
    `getCategorization_Categorizations` in interface `VCategorizationPackage`
  Returns:
    the meta object for the containment reference list 'Categorizations'.
  See Also:
    `VCategorization.getCategorizations()`, `VCategorizationPackage.getCategorization()`

### getCategory

    public org.eclipse.emf.ecore.EClass getCategory()

  Specified by:
    `getCategory` in interface `VCategorizationPackage`
  Returns:
    the meta object for class 'Category'.
  See Also:
    `VCategory`

### getCategory_Composite

    public org.eclipse.emf.ecore.EReference getCategory_Composite()

  Specified by:
    `getCategory_Composite` in interface `VCategorizationPackage`
  Returns:
    the meta object for the containment reference 'Composite'.
  See Also:
    `VCategory.getComposite()`, `VCategorizationPackage.getCategory()`

### getAction

    public org.eclipse.emf.ecore.EClass getAction()

  Specified by:
    `getAction` in interface `VCategorizationPackage`
  Returns:
    the meta object for class 'Action'.
  See Also:
    `VAction`

### getAction_Bundle

    public org.eclipse.emf.ecore.EAttribute getAction_Bundle()

  Specified by:
    `getAction_Bundle` in interface `VCategorizationPackage`
  Returns:
    the meta object for the attribute 'Bundle'.
  See Also:
    `VAction.getBundle()`, `VCategorizationPackage.getAction()`

### getAction_ClassName

    public org.eclipse.emf.ecore.EAttribute getAction_ClassName()

  Specified by:
    `getAction_ClassName` in interface `VCategorizationPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `VAction.getClassName()`, `VCategorizationPackage.getAction()`

### getCategorizationElement

    public org.eclipse.emf.ecore.EClass getCategorizationElement()

  Specified by:
    `getCategorizationElement` in interface `VCategorizationPackage`
  Returns:
    the meta object for class 'Element'.
  See Also:
    `VCategorizationElement`

### getCategorizationElement_Categorizations

    public org.eclipse.emf.ecore.EReference getCategorizationElement_Categorizations()

  Specified by:
    `getCategorizationElement_Categorizations` in interface `VCategorizationPackage`
  Returns:
    the meta object for the containment reference list 'Categorizations'.
  See Also:
    `VCategorizationElement.getCategorizations()`, `VCategorizationPackage.getCategorizationElement()`

### getCategorizationElement_CurrentSelection

    public org.eclipse.emf.ecore.EReference getCategorizationElement_CurrentSelection()

  Specified by:
    `getCategorizationElement_CurrentSelection` in interface `VCategorizationPackage`
  Returns:
    the meta object for the reference 'Current Selection'.
  See Also:
    `VCategorizationElement.getCurrentSelection()`, `VCategorizationPackage.getCategorizationElement()`

### getCategorizationElement_MainCategoryDepth

    public org.eclipse.emf.ecore.EAttribute getCategorizationElement_MainCategoryDepth()

  Specified by:
    `getCategorizationElement_MainCategoryDepth` in interface `VCategorizationPackage`
  Returns:
    the meta object for the attribute 'Main Category Depth'.
  See Also:
    `VCategorizationElement.getMainCategoryDepth()`, `VCategorizationPackage.getCategorizationElement()`

### getCategorizableElement

    public org.eclipse.emf.ecore.EClass getCategorizableElement()

  Specified by:
    `getCategorizableElement` in interface `VCategorizationPackage`
  Returns:
    the meta object for class 'Categorizable Element'.
  See Also:
    `VCategorizableElement`

### getCategorizableElement_LabelObject

    public org.eclipse.emf.ecore.EReference getCategorizableElement_LabelObject()

  Specified by:
    `getCategorizableElement_LabelObject` in interface `VCategorizationPackage`
  Returns:
    the meta object for the reference 'Label Object'.
  See Also:
    `VCategorizableElement.getLabelObject()`, `VCategorizationPackage.getCategorizableElement()`

### getCategorizationFactory

    public VCategorizationFactory getCategorizationFactory()

  Specified by:
    `getCategorizationFactory` in interface `VCategorizationPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.